package cn.com.poc.agent_application.service;

import cn.com.poc.agent_application.entity.BizAgentApplicationLargeModelListEntity;
import cn.com.yict.framemax.core.service.BaseService;
import cn.com.yict.framemax.data.model.PagingInfo;

import java.util.List;

public interface BizAgentApplicationLargeModelListService extends BaseService {

    BizAgentApplicationLargeModelListEntity findByModelNickName(String modelNickName);

    BizAgentApplicationLargeModelListEntity get(java.lang.Integer id) throws Exception;

    List<BizAgentApplicationLargeModelListEntity> findByExample(BizAgentApplicationLargeModelListEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAgentApplicationLargeModelListEntity save(BizAgentApplicationLargeModelListEntity entity) throws Exception;

    BizAgentApplicationLargeModelListEntity update(BizAgentApplicationLargeModelListEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}